Bullet Collision Detection & Physics Library: btRotationalLimitMotor2 Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btRotationalLimitMotor2 Class Reference

`#include <btGeneric6DofSpring2Constraint.h>`

## Public Member Functions
| btRotationalLimitMotor2 ()
| btRotationalLimitMotor2 (const btRotationalLimitMotor2 &limot)
bool | isLimited ()
void | testLimitValue (btScalar test_value)

## Public Attributes
btScalar | m_loLimit
btScalar | m_hiLimit
btScalar | m_bounce
btScalar | m_stopERP
btScalar | m_stopCFM
btScalar | m_motorERP
btScalar | m_motorCFM
bool | m_enableMotor
btScalar | m_targetVelocity
btScalar | m_maxMotorForce
bool | m_servoMotor
btScalar | m_servoTarget
bool | m_enableSpring
btScalar | m_springStiffness
btScalar | m_springDamping
btScalar | m_equilibriumPoint
btScalar | m_currentLimitError
btScalar | m_currentLimitErrorHi
btScalar | m_currentPosition
int | m_currentLimit

## Detailed Description

Definition at line 69 of file btGeneric6DofSpring2Constraint.h.

## Constructor & Destructor Documentation

btRotationalLimitMotor2::btRotationalLimitMotor2 | ( |  | ) |
| inline

Definition at line 97 of file btGeneric6DofSpring2Constraint.h.

btRotationalLimitMotor2::btRotationalLimitMotor2 | ( | const btRotationalLimitMotor2 & | limot | ) |
| inline

Definition at line 122 of file btGeneric6DofSpring2Constraint.h.

## Member Function Documentation

bool btRotationalLimitMotor2::isLimited | ( |  | ) |
| inline

Definition at line 148 of file btGeneric6DofSpring2Constraint.h.

void btRotationalLimitMotor2::testLimitValue | ( | btScalar | test_value | ) |

Definition at line 1076 of file btGeneric6DofSpring2Constraint.cpp.

## Member Data Documentation

btScalar btRotationalLimitMotor2::m_bounce

Definition at line 77 of file btGeneric6DofSpring2Constraint.h.

int btRotationalLimitMotor2::m_currentLimit

Definition at line 95 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_currentLimitError

Definition at line 92 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_currentLimitErrorHi

Definition at line 93 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_currentPosition

Definition at line 94 of file btGeneric6DofSpring2Constraint.h.

bool btRotationalLimitMotor2::m_enableMotor

Definition at line 82 of file btGeneric6DofSpring2Constraint.h.

bool btRotationalLimitMotor2::m_enableSpring

Definition at line 87 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_equilibriumPoint

Definition at line 90 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_hiLimit

Definition at line 76 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_loLimit

Definition at line 75 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_maxMotorForce

Definition at line 84 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_motorCFM

Definition at line 81 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_motorERP

Definition at line 80 of file btGeneric6DofSpring2Constraint.h.

bool btRotationalLimitMotor2::m_servoMotor

Definition at line 85 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_servoTarget

Definition at line 86 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_springDamping

Definition at line 89 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_springStiffness

Definition at line 88 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_stopCFM

Definition at line 79 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_stopERP

Definition at line 78 of file btGeneric6DofSpring2Constraint.h.

btScalar btRotationalLimitMotor2::m_targetVelocity

Definition at line 83 of file btGeneric6DofSpring2Constraint.h.

The documentation for this class was generated from the following files:

- btGeneric6DofSpring2Constraint.h
- btGeneric6DofSpring2Constraint.cpp